--
-- TRG_JUGADOR_ALTA
--
CREATE OR REPLACE TRIGGER TRG_JUGADOR_ALTA
BEFORE INSERT
ON JUGADORS
FOR EACH ROW
BEGIN
  SELECT SEQ_SGAF.NEXTVAL
  INTO :NEW.ID
  FROM DUAL;
END TRG_JUGADOR_ALTA;
/

--
-- TRG_PARTIT_ALTA
--
CREATE OR REPLACE TRIGGER TRG_PARTIT_ALTA
BEFORE INSERT
ON PARTITS
FOR EACH ROW
BEGIN
  SELECT SEQ_SGAF.NEXTVAL
  INTO :NEW.ID
  FROM DUAL;
END TRG_PARTIT_ALTA;
/

--
-- TRG_GOL_ALTA
--
CREATE OR REPLACE TRIGGER TRG_GOL_ALTA
BEFORE INSERT
ON GOLS
FOR EACH ROW
BEGIN
  SELECT SEQ_SGAF.NEXTVAL
  INTO :NEW.ID
  FROM DUAL;
END TRG_GOL_ALTA;
/

--
-- TRG_MODALITAT_ALTA
--
CREATE OR REPLACE TRIGGER TRG_MODALITAT_ALTA
BEFORE INSERT
ON MODALITATS
FOR EACH ROW
BEGIN
  SELECT SEQ_SGAF.NEXTVAL
  INTO :NEW.ID
  FROM DUAL;
END TRG_MODALITAT_ALTA;
/

--
-- TRG_APOSTA_ALTA
--
CREATE OR REPLACE TRIGGER TRG_APOSTA_ALTA
BEFORE INSERT
ON APOSTES
FOR EACH ROW
BEGIN
  SELECT SEQ_SGAF.NEXTVAL
  INTO :NEW.ID
  FROM DUAL;
END TRG_APOSTA_ALTA;
/
